using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace bajaWare.UserControl.Credito
{
    public partial class wucCreditoEmpresarial : System.Web.UI.UserControl
    {

        public InterfacesServicesCatalogos.IinterfacesServicesCatalogos rsCatalogos = new InterfacesServicesCatalogos.IinterfacesServicesCatalogosClient();
        
        protected void Page_Load(object sender, EventArgs e)
        {
            /*Llenado de combo Reestructura*/
            ddlReestructura.DataSource = rsCatalogos.ListaReestructura();
            ddlReestructura.DataTextField = "vchDescripcion";
            ddlReestructura.DataValueField = "tintEstatusRestrucID";
            ddlReestructura.DataBind();

            /*Llenado de combo Destino del Crédito*/
            ddlDestinoCredito.DataSource = rsCatalogos.ListaDestinoCredito();
            ddlDestinoCredito.DataTextField = "vchDescripcion";
            ddlDestinoCredito.DataValueField = "sintDestinoCredID";
            ddlDestinoCredito.DataBind();

            /*Llenado de combo Tasa de Referencia*/
            ddlTasaReferencia.DataSource = rsCatalogos.ListaTasaReferencia();
            ddlTasaReferencia.DataTextField = "vchDescripcion";
            ddlTasaReferencia.DataValueField = "sintTasaRefID";
            ddlTasaReferencia.DataBind();

            /*Llenado de combo Clasificación Legal*/
            ddlClasificacionLegal.DataSource = rsCatalogos.ListaClasificacionLegal();
            ddlClasificacionLegal.DataTextField = "vchDescripcion";
            ddlClasificacionLegal.DataValueField = "sintClasificaLegID";
            ddlClasificacionLegal.DataBind();

            /*Llenado de combo Número de Agrupación*/
            ddlNumeroAgrupacion.DataSource = rsCatalogos.ListaNumeroAgrupacion();
            ddlNumeroAgrupacion.DataTextField = "Grupo_Desc";
            ddlNumeroAgrupacion.DataValueField = "iGrupoId";
            ddlNumeroAgrupacion.DataBind();

            /*Llenado de combo de Operación Formalizada*/
            ddlOperacionFormalizada.DataSource = rsCatalogos.ListaOperacionFormalizada();
            ddlOperacionFormalizada.DataTextField = "vchDescripcion";
            ddlOperacionFormalizada.DataValueField = "tintOperFormaID";
            ddlOperacionFormalizada.DataBind();

            /*Llenado de combo de Información de Recuperación*/
            ddlInformacionRecuperacion.DataSource = rsCatalogos.ListaOperacionFormalizada();
            ddlInformacionRecuperacion.DataTextField = "vchDescripcion";
            ddlInformacionRecuperacion.DataValueField = "tintInfoRecuperaID";
            ddlInformacionRecuperacion.DataBind();

            /*Llenado de combo de Expediente Completo*/
            ddlExpedienteCompleto.DataSource = rsCatalogos.ListaExpedienteCompleto();
            ddlExpedienteCompleto.DataTextField = "vchDescripcion";
            ddlExpedienteCompleto.DataValueField = "tintExpedienCompID";
            ddlExpedienteCompleto.DataBind();

            /*Llenado de combo de Metodología*/
            ddlMetodologia.DataSource = rsCatalogos.ListaMetodologia();
            ddlMetodologia.DataTextField = "vchDescripcion";
            ddlMetodologia.DataValueField = "tintMetodologiaID";
            ddlMetodologia.DataBind();

            /*Llenado de combo de Tipo de Alta*/
            ddlTipoAlta.DataSource = rsCatalogos.ListaTipoAlta();
            ddlTipoAlta.DataTextField = "vchDescripcion";
            ddlTipoAlta.DataValueField = "tintTipoAltaID";
            ddlTipoAlta.DataBind();

            /*Llenado de combo de Disposición de Crédito*/
            ddlDispCredito.DataSource = rsCatalogos.ListaDisposicionCredito();
            ddlDispCredito.DataTextField = "vchDescripcion";
            ddlDispCredito.DataValueField = "tintTipoDispCredID";
            ddlDispCredito.DataBind();

            /*Llenado de combo de Institución de Fondeo*/
            ddlInstFondeador.DataSource = rsCatalogos.ListaInstitucion();
            ddlInstFondeador.DataTextField = "vchDescripcion";
            ddlInstFondeador.DataValueField = "sintInstitucionID";
            ddlInstFondeador.DataBind();

        }
    }
}